Skip to Content

Get a single webhook delivery

You're viewing API version 2026-09, which is deprecated and stops working on October 1, 2027. To move your integration, see Upgrading to 2026-10.
GET
/api/v1/webhooks/{id}/deliveries/{deliveryId}

Returns the full payload and response of a webhook delivery, including request/response headers and bodies.

Authorization

headerAuthorizationBearer <token>

Personal API key, e.g. Authorization: Bearer sajn_sk_.... Not scope-limited — acts as the issuing user.

Path Parameters

id*string
deliveryId*string

Header Parameters

authorization*string

Bearer token for API authentication

Response Body

200

application/json
  1. response
id*string
webhookId*string
event*string
status*string
Value in"SUCCESS""FAILED"
url*string
responseCode*integer
Range-9007199254740991 <= value <= 9007199254740991
attempt*integer
Range-9007199254740991 <= value <= 9007199254740991
isFinalAttempt*boolean
replayOfId*string|null
requestBody*unknown
responseBody*unknown
createdAt*unknown
Example Request
curl -X GET 'https://app.sajn.se/api/v1/webhooks/string/deliveries/string' \  -H 'authorization: string'
Example Response
{  "id": "string",  "webhookId": "string",  "event": "string",  "status": "SUCCESS",  "url": "string",  "responseCode": -9007199254740991,  "attempt": -9007199254740991,  "isFinalAttempt": true,  "replayOfId": "string",  "requestBody": null,  "responseBody": null,  "createdAt": null}

Was this page helpful?